summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRyan Owens2015-10-30 17:28:12 -0500
committerRyan Owens2015-10-30 17:28:12 -0500
commitda14cc16a56df533a8ff9b73d497d0f7a6b71787 (patch)
tree1b0d448a69798582196175b73095569c8b1895eb
downloadaur-libkar-git.tar.gz
Initial Commit
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD34
2 files changed, 49 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..12949a88a00
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = libkar-git
+ pkgdesc = an extremely simple Qt based keyed archiver for usage by the KISS IDE suite of applications
+ pkgver = r37.0777a50
+ pkgrel = 1
+ url = https://github.com/kipr/libkar
+ arch = any
+ license = GPL3
+ depends = cmake>=2.8.12
+ depends = qt5-base
+ provides = libkar
+ source = libkar-git::git+https://github.com/kipr/libkar.git
+ sha256sums = SKIP
+
+pkgname = libkar-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a2af82f1bb8
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Ryan Owens <RyanOwens[at]linux[dot]com>
+
+pkgname=libkar-git
+pkgver=r37.0777a50
+pkgrel=1
+pkgdesc="an extremely simple Qt based keyed archiver for usage by the KISS IDE suite of applications"
+arch=('any')
+url="https://github.com/kipr/libkar"
+license=('GPL3')
+depends=('cmake>=2.8.12' 'qt5-base')
+provides=('libkar')
+source=(${pkgname}::"git+https://github.com/kipr/libkar.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd ${srcdir}/${pkgname}
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd ${srcdir}/${pkgname}
+ mkdir build
+ cd build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr ..
+ make
+}
+
+package() {
+ cd ${srcdir}/${pkgname}/build
+ make DESTDIR="${pkgdir}" install
+}